VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Inventory::Datastore::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Inventory::Datastore::Info:

## Avaliable Methods
public method | set_type ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Inventory::Datastore::Info` class contains information about a datastore.

## Member Function Documentation

public method Com::Vmware::Vcenter::Inventory::Datastore::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the datastore. String#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Inventory::Datastore::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Inventory::Datastore::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Inventory::Datastore::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.inventory.datastore.info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Inventory::Datastore::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the datastore.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Inventory/Datastore.pm